org.eclipse.ecf.remoteservice.client

## Interface IRemoteCallParameter

All Known Implementing Classes:
  RemoteCallParameter

    public interface IRemoteCallParameter

A remote call parameter, with a String name and Object value.

Since:
  4.0

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getName()` Get the name of the remote call parameter.
`Object` `getValue()` Get the value associated with this remote call parameter.

### Method Detail

#### getName

    String getName()

Get the name of the remote call parameter. Should not be `null`.

Returns:
  String name for the parameter. Should not be `null`.

#### getValue

    Object getValue()

Get the value associated with this remote call parameter. May be `null`.

Returns:
  Object value associated with the name given above.